## r-cran-diptest 0.75

=== DESCRIPTION ===
Package: diptest
Version: 0.75-7
Date: 2015-06-07
Title: Hartigan's Dip Test Statistic for Unimodality - Corrected
Description: Compute Hartigan's dip test statistic for unimodality /
 multimodality and provide a test with simulation based p-values,  where
 the original public code has been corrected.
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
BuildResaveData: no
Author: Martin Maechler (originally from Fortran and S-plus by Dario Ringach, NYU.edu)
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2016-12-05 14:54:04 UTC; hornik
Repository: CRAN
Date/Publication: 2016-12-05 18:28:47

## r-cran-diptest 0.75-7

=== debian/changelog ===
r-cran-diptest (0.75-7-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix debian/README.source

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 11:41:50 +0200

r-cran-diptest (0.75-7-1) unstable; urgency=medium

  * Initial release (closes: #901676).

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 Jun 2018 18:29:07 +0200

=== debian/control ===
Source: r-cran-diptest
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diptest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diptest.git
Homepage: https://cran.r-project.org/package=diptest
Rules-Requires-Root: no

Package: r-cran-diptest
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Hartigan's Dip Test Statistic for Unimodality - Corrected
 Compute Hartigan's dip test statistic for unimodality /
 multimodality and provide a test with simulation based p-values,  where
 the original public code has been corrected.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/diptest_([-\d.]*)\.tar\.gz

## r-cran-diptest 0.76

=== DESCRIPTION ===
Package: diptest
Version: 0.76-0
VersionNote: Last CRAN: 0.75-7 on 2015-06-07
Date: 2021-05-04
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Author: Martin Maechler (originally from Fortran and S-plus by Dario Ringach, NYU.edu)
Title: Hartigan's Dip Test Statistic for Unimodality - Corrected
Description: Compute Hartigan's dip test statistic for unimodality /
 multimodality and provide a test with simulation based p-values,  where
 the original public code has been corrected.
Imports: graphics, stats
BuildResaveData: no
BugReports: https://github.com/mmaechler/diptest/issues
License: GPL (>= 2)
URL: https://github.com/mmaechler/diptest
NeedsCompilation: yes
Packaged: 2021-05-04 07:09:15 UTC; maechler
Repository: CRAN
Date/Publication: 2021-05-04 10:30:02 UTC

## r-cran-diptest 0.76-0

=== debian/changelog ===
r-cran-diptest (0.76-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * lintian-overrides: No need to link against libc

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 10:33:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diptest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diptest.git
 Homepage: https://cran.r-project.org/package=diptest

## r-cran-diptest 0.77

=== DESCRIPTION ===
Package: diptest
Version: 0.77-1
VersionNote: Last CRAN: 0.77-0 on 2023-11-27
Date: 2024-03-31
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Author: Martin Maechler (originally from Fortran and S-plus by Dario Ringach, NYU.edu)
Title: Hartigan's Dip Test Statistic for Unimodality - Corrected
Description: Compute Hartigan's dip test statistic for unimodality /
 multimodality and provide a test with simulation based p-values,  where
 the original public code has been corrected.
Imports: graphics, stats
BuildResaveData: no
License: GPL (>= 2)
URL: https://github.com/mmaechler/diptest
BugReports: https://github.com/mmaechler/diptest/issues
NeedsCompilation: yes
Packaged: 2024-04-05 03:50:39 UTC; maechler
Repository: CRAN
Date/Publication: 2024-04-10 21:50:02 UTC

## r-cran-diptest 0.77-0

=== debian/changelog ===
r-cran-diptest (0.77-0-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:46:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-diptest
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diptest
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diptest.git
+Homepage: https://cran.r-project.org/package=diptest
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diptest
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diptest.git
-Homepage: https://cran.r-project.org/package=diptest
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-diptest
 Architecture: any

## r-cran-diptest 0.77-1

=== debian/changelog ===
r-cran-diptest (0.77-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 11 Oct 2024 08:42:09 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diptest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diptest.git
 Homepage: https://cran.r-project.org/package=diptest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# Avoiding lintian warnings
#W: r-cran-diptest: executable-not-elf-or-script usr/lib/R/site-library/diptest/doc/hist-D11.rda
#W: r-cran-diptest: executable-not-elf-or-script usr/lib/R/site-library/diptest/doc/diptest-issues.Rnw
#W: r-cran-diptest: executable-not-elf-or-script usr/lib/R/site-library/diptest/NEWS.Rd
#W: r-cran-diptest: executable-not-elf-or-script usr/lib/R/site-library/diptest/doc/diptest.bib
#W: r-cran-diptest: executable-not-elf-or-script usr/lib/R/site-library/diptest/extraData/qDiptab.rds
override_dh_auto_install:
	dh_auto_install
	find debian \( -name "*.bib" -o -name "*.rda" -o -name "*.Rd" -o -name "*.Rnw" -o -name "*.rds" \) | xargs -r chmod -x


override_dh_auto_clean:
	dh_auto_clean
	find . \( -name "*.o" -o -name "*.so" \) -delete

## r-cran-diptest 0.77-2

=== debian/changelog ===
r-cran-diptest (0.77-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 18 Dec 2025 11:20:39 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-diptest
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diptest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diptest.git
 Homepage: https://cran.r-project.org/package=diptest
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-diptest
 Architecture: any
